# Files of a Certificate


The acme client recommends not to use the acme storage directly but to copy 
the needed files into a wanted structure.

After issue or renew a certificate with acme all files you need on the target system will be copied
from acme to a certificate directory.

## Target dir

see ./inc_config.sh ... the target directory is set with

```sh
export CM_diracme="./certs"
```

## File structure

The certificate folder contains the fqdn as directory and in it are the files:

```txt
./certs/
  +-- www.example.com/
      +-- www.example.com.ca.cer
      +-- www.example.com.cert.cer
      +-- www.example.com.fullchain.cer
      +-- www.example.com.haproxy.pem
      +-- www.example.com.key.pem
```

Here are the files from acme client

* the key
* the server certificate
* the intermediate certificate
* a chained certificate (server + intermediate certificate)
* the ca certificate

For Haproxy a 2nd chained certificate will be generated.
